import type IChatViewPlugin from "@/plugins/IChatViewPlugin";

class ChatVoiceViewPlugin implements IChatViewPlugin {
  icon = 'cuIcon-phone'

  title = '语音通话'

  handle(chatId: string) {
    uni.navigateTo({
      url: `/plugins/video/VideoCalling?friendId=${chatId}&showVideo=false`
    })
  }
}

export default ChatVoiceViewPlugin
